apt 3.2.0 commandline package manager

Public Member Functions | List of all members
pkgCache::DescIterator Class Reference
Inheritance diagram for pkgCache::DescIterator:

## Public Member Functions
constexpr Description * | OwnerPointer () const noexcept
DescIterator & | operator++ ()
DescIterator | operator++ (int)
int | CompareDesc (const DescIterator &B) const
constexpr const char * | LanguageCode () const noexcept
constexpr const char * | md5 () const noexcept
constexpr DescFileIterator | FileList () const noexcept
constexpr | DescIterator (pkgCache &Owner, Description *Trg=0) noexcept
Public Member Functions inherited from pkgCache::Iterator< Description, DescIterator >
constexpr bool | end () const noexcept
constexpr bool | operator== (const DescIterator &B) const noexcept
constexpr bool | operator!= (const DescIterator &B) const noexcept
constexpr Description * | operator-> () noexcept
constexpr | operator Description * () noexcept
constexpr | operator Description const * () const noexcept
constexpr Description & | operator* () noexcept
constexpr pkgCache * | Cache () const noexcept
constexpr bool | IsGood () const noexcept
constexpr unsigned long | Index () const noexcept
constexpr map_pointer< Description > | MapPointer () const noexcept
void | ReMap (void const *const oldMap, void *const newMap)

## Additional Inherited Members
Public Types inherited from pkgCache::Iterator< Description, DescIterator >
using | iterator_category
using | value_type
using | difference_type
using | pointer
using | reference
Protected Attributes inherited from pkgCache::Iterator< Description, DescIterator >
Description * | S
pkgCache * | Owner

The documentation for this class was generated from the following file:

- apt-pkg/cacheiterators.h